# Not really used yet, so disable for now
%bcond_with uclibc

Summary:	Userland tools for suspend-to-disk and suspend-to-RAM
Name:		suspend
Version:	1.0
Release:	5
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://suspend.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-utils-%{version}.tar.bz2
#- opensuse patches
Patch1:		suspend-comment-configfile-options.diff
Patch3:		suspend-default-compress.diff
Patch5:		suspend-default-splash.diff
Patch13:	suspend-0.80-vbetool-retry-on-errors.diff
Patch15:	suspend-1.0-suspend-output-to-logfile.diff
Patch70:	suspend-0.80-whitelist-openSUSE11.diff
#- Mandriva patches
Patch100:	suspend-1.0-no_s2ram_quirks.patch
Patch101:	suspend-0.5-bootsplash.patch
Patch102:	suspend-0.8.20080612-mdvcomment.patch
Patch103:	suspend-0.8-printf_format.patch
# (blino) kill splashy before resume binary starts it
Patch104:	suspend-0.8.20080612-stopsplashy.patch
# (fc) plymouth support
Patch105:	suspend-1.0-plymouth.patch
# (proyvind): to get _GNU_SOURCE defined, fixes build with uclibc
Patch106:	suspend-0.8.20080612-configure-gnu-source.patch
Patch107:	suspend-utils-1.0-add-latitude-e6510-to-whitelist.patch
BuildRequires:	liblzo-devel
BuildRequires:	libx86-devel
BuildRequires:	plymouth-devel
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(zlib)
# (tv) fix upgrade ordering (libpci3 needs to be updaded from 3.0 to 3.1 before ldetect is upgraded):
Requires:	%{mklibname pci 3} >= 3.1
Requires:	dracut
Requires(post):	drakxtools-backend

%description
The goal of the project is to create a tool that can handle the so
called "suspend-to-both". Suspend to both means that prior putting the
system in STR (suspend to ram) a snapshot of the running system is
taken and stored on disk (as suspend to disk); if for any reason
(e.g. battery depleted) the state store in the RAM is lost the user
can resume from the disk without loosing data.

Currenty suspend-to-ram and suspend-to-disk are handled by two
different program, s2ram and s2disk.

%files
%doc HOWTO README README.s2ram-whitelist
%{_sbindir}/resume
%{_sbindir}/s2both
%{_sbindir}/s2disk
%{_sbindir}/swap-offset
%{_libdir}/%{name}/resume
%config(noreplace) %{_sysconfdir}/%{name}.conf
%if %{with uclibc}
%{uclibc_root}%{_sbindir}/resume
%{uclibc_root}%{_libdir}/%{name}/resume
%endif

%post
/usr/sbin/bootloader-config --action rebuild-initrds || :

#----------------------------------------------------------------------------

%package s2ram
Summary:	Suspend-to-RAM utility
Group:		System/Kernel and hardware

%description s2ram
s2ram is a suspend-to-RAM utility.

%files s2ram
%{_sbindir}/s2ram

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-utils-%{version}
#- opensuse patches
%patch1 -p1
%patch3 -p0
%patch5 -p0
%patch13 -p0
%patch15 -p1 -b .log~

#- Mandriva patches
%patch100 -p1 -b .no_s2ram_quirks~
%patch101 -p1 -b .bootsplash~
%patch102 -p1 -b .mdvcomment~
%patch103 -p1 -b .printf_format~
%patch104 -p1 -b .stopsplashy~
%patch105 -p1 -b .plymouth~
%patch106 -p1 -b .gnu_source~
%patch107 -p1 -b .e6510~

%build
#needed by patch105
libtoolize --force
autoreconf -fi

export CONFIGURE_TOP=`pwd`
%if %{with uclibc}
mkdir -p uclibc
pushd uclibc
%configure2_5x \
  CC="%{uclibc_cc}" \
  CFLAGS="%{uclibc_cflags}" \
  --enable-compress \
  --enable-plymouth \
  --enable-threads \
  --disable-resume-static
%make
popd
%endif

mkdir -p shared
pushd shared
%configure2_5x \
  --enable-compress \
  --enable-plymouth \
  --enable-threads \
  --disable-resume-static
%make
popd

%install
install -d %{buildroot}{,%{uclibc_root}}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
%if %{with uclibc}
install -m755 uclibc/resume -D %{buildroot}%{uclibc_root}%{_libdir}/%{name}/resume
ln -sf %{uclibc_root}%{_libdir}/%{name}/resume %{buildroot}%{uclibc_root}%{_sbindir}/resume
%endif

%makeinstall_std -C shared
rm -rf %{buildroot}%{_docdir}/suspend-utils
ln -sf %{_libdir}/%{name}/resume %{buildroot}%{_sbindir}


%changelog
* Sat Jul 05 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-5
+ Revision: 262ae9c
- Spec cleanup


